['config']
APPLICATION_NAME = 'Xiaopi'
APPLICATION_SHORT_NAME = 'Xpi'
APPLICATION_BANNER = 'Xiaomi Raspberry pi automator'
APPLICATION_SKIN_COLOR = 'green'
SERVER_IP = 'https://localhost'
UPLOAD_FOLDER = '../static/images'
DEBUG = False
WTF_CSRF_ENABLED = True
SECRET_KEY = 'super secret string'
ADMIN_EMAIL = 'jorge.nsoares@gmail.com'
ADMIN_GROUP = 'admins'
RELAYS = True
PI_CAMERA = True
CAMERAS = True
MIJIA_SENSORS = True
FLORA_SENSORS = True
LOG_ENABLE = False
LOG = '/var/log/app.log'
LOG_MAX_SIZE_BYTES = 100000
RECAPTCHA = False
RECAPTCHA_PUBLIC_KEY = ''
RECAPTCHA_PRIVATE_KEY = ''
RECAPTCHA_USE_SSL = False
REMEMBER_COOKIE_HTTPONLY = True
REMEMBER_COOKIE_SECURE = True
DATABASE_TYPE = 'sqlite'
DATABASE_NAME = 'xiaopi.sql'
DATABASE_USER = ''
DATABASE_PASSWORD = ''
DATABASE_HOST = ''
DATABASE_PORT = ''
MAIL = False
MAIL_SERVER = 'mail.test.cz'
MAIL_PORT = '587'
MAIL_USERNAME = 'test@test.cz'
MAIL_PASSWORD = 'guessme'
MAIL_DEFAULT_SENDER = 'test@test.cz'
MAIL_USE_TLS = False
MAIL_USE_SSL = True
LDAP = False
LDAP_HOST = 'ldap.host.int'
LDAP_BASE_DN = 'domainName=test.cz,o=domains,dc=test,dc=cz'
LDAP_USER_DN = 'ou=Users'
LDAP_SEARCH_FOR_GROUPS = False
LDAP_USER_RDN_ATTR = 'dn'
LDAP_USER_LOGIN_ATTR = 'cn'
LDAP_BIND_USER_DN = 'cn=Manager,dc=test,dc=cz'
LDAP_BIND_USER_PASSWORD = ''
LDAP_PORT = 389
LDAP_USE_SSL = False
LDAP_USER_FIRST_NAME_ATTR = 'givenName'
LDAP_USER_LAST_NAME_ATTR = 'sn'
LDAP_USER_EMAIL_ATTR = 'email'
LDAP_USER_MOBILE_ATTR = 'mobile'
LDAP_USER_MEMBERSHIP_ATTR = 'memberOfGroup'
LDAP_PWM_URL = 'https://pass.test.cz'
LDAP_PWM_FORGOT_URL = 'https://pass.test.cz/public/forgottenpassword'

